---=============---
---Pvp FlagTimer---
---=============---
--Novaspark-Arugal OCE
--https://www.curseforge.com/members/venomisto/projects
--Displays a countdown timer next to your pvp flag icon when your flag will dissapear.


local pvpFlagTimerFrame = CreateFrame("Frame", "pvpFlagTimerFrame", PlayerFrame)
pvpFlagTimerFrame:SetPoint("CENTER", PlayerFrame, "TOPLEFT", 38, -12);
pvpFlagTimerFrame:SetWidth(1) 
pvpFlagTimerFrame:SetHeight(1) 
pvpFlagTimerFrame.fs = pvpFlagTimerFrame:CreateFontString("pvpFlagTimerFrameFS", "OVERLAY");
pvpFlagTimerFrame.fs:SetFontObject(GameFontNormalSmall)
pvpFlagTimerFrame.fs:SetPoint("CENTER", 0, 0);

PlayerPVPIconHitArea:SetScript("OnUpdate", function(self, arg)
	if (IsPVPTimerRunning()) then
		if (not pvpFlagTimerFrame:IsVisible()) then
			pvpFlagTimerFrame:Show();
		end
		local timeLeft = GetPVPTimer();
		pvpFlagTimerFrame.fs:SetFormattedText(SecondsToTimeAbbrev(floor(timeLeft/1000)));
	else
		if (pvpFlagTimerFrame:IsVisible()) then
			pvpFlagTimerFrame:Hide();
		end
	end
end)
PlayerPVPIconHitArea:SetScript("OnHide", function(self, arg)
	pvpFlagTimerFrame:Hide();
end)